=== debian/changelog ===
emacspeak (41.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Paul Gevers <elbrus@debian.org>  Fri, 01 May 2015 05:50:02 +0200

emacspeak (41.0+dfsg-1) experimental; urgency=medium

  [ Paul Gevers ]
  * New upstream release
  * Update Vcs-Browser to canonical location
  * Update d/clean for removed file

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Paul Gevers <elbrus@debian.org>  Tue, 09 Dec 2014 20:19:14 +0100
