=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/\+dfsg(\d*)// \
https://emacspeak.googlecode.com/svn/wiki/downloads/ emacspeak-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|zip).* debian debian/get-orig-source.sh
# Bart Martens <bartm@debian.org>  Sat, 19 Jan 2013 13:12:29 +0000
